Package uk.ac.starlink.topcat

# Class UploadAdqlExample

java.lang.Object
uk.ac.starlink.vo.AbstractAdqlExample
uk.ac.starlink.topcat.UploadAdqlExample

All Implemented Interfaces:
  `uk.ac.starlink.vo.AdqlExample`

public abstract class UploadAdqlExample extends uk.ac.starlink.vo.AbstractAdqlExample
Provides some ADQL examples showing how TOPCAT TAP uploads work.

Since:
  9 May 2011
Author:
  Mark Taylor

## Nested Class Summary

## Nested classes/interfaces inherited from class uk.ac.starlink.vo.AbstractAdqlExample

`uk.ac.starlink.vo.AbstractAdqlExample.Breaker, uk.ac.starlink.vo.AbstractAdqlExample.TableWithCols`

## Constructor Summary

Constructors
Constructor
Description
`UploadAdqlExample(String name, String description, JList<TopcatModel> tcList)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static uk.ac.starlink.vo.AdqlExample[]`
`createSomeExamples(JList<TopcatModel> tcList)`
Creates and returns a selection of examples for display in the TAP load dialogue which illustrate how to use table uploads from TOPCAT.

### Methods inherited from class uk.ac.starlink.vo.AbstractAdqlExample

`createBreaker, createDummyExample, createSimpleExample, createSomeExamples, createTapSchemaExamples, formatCoord, getDescription, getInfoUrl, getName, getRaDecTables, isAdql21, toTables`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface uk.ac.starlink.vo.AdqlExample

`getAdqlText`

## Constructor Details

### UploadAdqlExample

public UploadAdqlExample(String name, String description, JList<TopcatModel> tcList)
Constructor.

Parameters:
  `name` - example name
  `description` - example description
  `tcList` - JList of known TopcatModels

## Method Details

### createSomeExamples

public static uk.ac.starlink.vo.AdqlExample[] createSomeExamples(JList<TopcatModel> tcList)
Creates and returns a selection of examples for display in the TAP load dialogue which illustrate how to use table uploads from TOPCAT.

Parameters:
  `tcList` - JList of known TopcatModels